Bug 1471514 - Upgrading from from 25 to 26 fails because of conflicts between koji and python2-koji
Upgrading from from 25 to 26 fails because of conflicts between koji and pyth...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: koji (Show other bugs)
26
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Mike McLean
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-16 10:44 EDT by Max de Bayser
Modified: 2018-05-29 08:56 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-05-29 08:56:24 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Max de Bayser 2017-07-16 10:44:31 EDT
Description of problem:

I'm upgrading two machines from 25 to 26. The first upgrade was flawless, the second however is giving me some headaches. After running dnf upgrade --refresh, dnf would always segfault. That was solved with rpm --rebuilddb and I don't think it's related to the second problem I'm seeing.

Basically, when I run dnf system-upgrade download --releasever=26 I get the following error:

Error: Transaction check error:
  file /usr/lib/python2.7/site-packages/koji/__init__.py from install of koji-1.12.0-2.fc26.noarch conflicts with file from package python2-koji-1.13.0-2.fc25.noarch
  file /usr/lib/python2.7/site-packages/koji/__init__.pyc from install of koji-1.12.0-2.fc26.noarch conflicts with file from package python2-koji-1.13.0-2.fc25.noarch
  file /usr/lib/python2.7/site-packages/koji/ssl/__init__.pyc from install of koji-1.12.0-2.fc26.noarch conflicts with file from package python2-koji-1.13.0-2.fc25.noarch
  file /usr/lib/python2.7/site-packages/koji/__init__.pyo from install of koji-1.12.0-2.fc26.noarch conflicts with file from package python2-koji-1.13.0-2.fc25.noarch
  file /usr/lib/python2.7/site-packages/koji/ssl/__init__.pyo from install of koji-1.12.0-2.fc26.noarch conflicts with file from package python2-koji-1.13.0-2.fc25.noarch
  file /usr/lib/python2.7/site-packages/koji/tasks.py from install of koji-1.12.0-2.fc26.noarch conflicts with file from package python2-koji-1.13.0-2.fc25.noarch
  file /usr/lib/python2.7/site-packages/koji/tasks.pyc from install of koji-1.12.0-2.fc26.noarch conflicts with file from package python2-koji-1.13.0-2.fc25.noarch
  file /usr/lib/python2.7/site-packages/koji/tasks.pyo from install of koji-1.12.0-2.fc26.noarch conflicts with file from package python2-koji-1.13.0-2.fc25.noarch
  file /usr/lib/python2.7/site-packages/koji/db.pyc from install of koji-1.12.0-2.fc26.noarch conflicts with file from package python2-koji-1.13.0-2.fc25.noarch
  file /usr/lib/python2.7/site-packages/koji/db.pyo from install of koji-1.12.0-2.fc26.noarch conflicts with file from package python2-koji-1.13.0-2.fc25.noarch
  file /usr/lib/python2.7/site-packages/koji/util.py from install of koji-1.12.0-2.fc26.noarch conflicts with file from package python2-koji-1.13.0-2.fc25.noarch
  file /usr/lib/python2.7/site-packages/koji/util.pyc from install of koji-1.12.0-2.fc26.noarch conflicts with file from package python2-koji-1.13.0-2.fc25.noarch
  file /usr/lib/python2.7/site-packages/koji/util.pyo from install of koji-1.12.0-2.fc26.noarch conflicts with file from package python2-koji-1.13.0-2.fc25.noarch
  file /usr/lib/python2.7/site-packages/koji/auth.py from install of koji-1.12.0-2.fc26.noarch conflicts with file from package python2-koji-1.13.0-2.fc25.noarch
  file /usr/lib/python2.7/site-packages/koji/auth.pyc from install of koji-1.12.0-2.fc26.noarch conflicts with file from package python2-koji-1.13.0-2.fc25.noarch
  file /usr/lib/python2.7/site-packages/koji/auth.pyo from install of koji-1.12.0-2.fc26.noarch conflicts with file from package python2-koji-1.13.0-2.fc25.noarch
  file /usr/lib/python2.7/site-packages/koji/daemon.py from install of koji-1.12.0-2.fc26.noarch conflicts with file from package python2-koji-1.13.0-2.fc25.noarch
  file /usr/lib/python2.7/site-packages/koji/plugin.py from install of koji-1.12.0-2.fc26.noarch conflicts with file from package python2-koji-1.13.0-2.fc25.noarch
  file /usr/lib/python2.7/site-packages/koji/plugin.pyc from install of koji-1.12.0-2.fc26.noarch conflicts with file from package python2-koji-1.13.0-2.fc25.noarch
  file /usr/lib/python2.7/site-packages/koji/plugin.pyo from install of koji-1.12.0-2.fc26.noarch conflicts with file from package python2-koji-1.13.0-2.fc25.noarch
  file /usr/lib/python2.7/site-packages/koji/server.pyc from install of koji-1.12.0-2.fc26.noarch conflicts with file from package python2-koji-1.13.0-2.fc25.noarch
  file /usr/lib/python2.7/site-packages/koji/server.pyo from install of koji-1.12.0-2.fc26.noarch conflicts with file from package python2-koji-1.13.0-2.fc25.noarch
  file /usr/lib/python2.7/site-packages/koji/context.pyc from install of koji-1.12.0-2.fc26.noarch conflicts with file from package python2-koji-1.13.0-2.fc25.noarch
  file /usr/lib/python2.7/site-packages/koji/context.pyo from install of koji-1.12.0-2.fc26.noarch conflicts with file from package python2-koji-1.13.0-2.fc25.noarch
  file /usr/lib/python2.7/site-packages/koji/policy.pyc from install of koji-1.12.0-2.fc26.noarch conflicts with file from package python2-koji-1.13.0-2.fc25.noarch
  file /usr/lib/python2.7/site-packages/koji/policy.pyo from install of koji-1.12.0-2.fc26.noarch conflicts with file from package python2-koji-1.13.0-2.fc25.noarch
  file /usr/lib/python2.7/site-packages/koji/compatrequests.pyc from install of koji-1.12.0-2.fc26.noarch conflicts with file from package python2-koji-1.13.0-2.fc25.noarch
  file /usr/lib/python2.7/site-packages/koji/compatrequests.pyo from install of koji-1.12.0-2.fc26.noarch conflicts with file from package python2-koji-1.13.0-2.fc25.noarch
  file /usr/lib/python2.7/site-packages/koji/daemon.pyc from install of koji-1.12.0-2.fc26.noarch conflicts with file from package python2-koji-1.13.0-2.fc25.noarch
  file /usr/lib/python2.7/site-packages/koji/daemon.pyo from install of koji-1.12.0-2.fc26.noarch conflicts with file from package python2-koji-1.13.0-2.fc25.noarch
  file /usr/lib/python2.7/site-packages/koji/ssl/SSLCommon.pyc from install of koji-1.12.0-2.fc26.noarch conflicts with file from package python2-koji-1.13.0-2.fc25.noarch
  file /usr/lib/python2.7/site-packages/koji/ssl/SSLCommon.pyo from install of koji-1.12.0-2.fc26.noarch conflicts with file from package python2-koji-1.13.0-2.fc25.noarch
  file /usr/lib/python2.7/site-packages/koji/ssl/SSLConnection.pyc from install of koji-1.12.0-2.fc26.noarch conflicts with file from package python2-koji-1.13.0-2.fc25.noarch
  file /usr/lib/python2.7/site-packages/koji/ssl/SSLConnection.pyo from install of koji-1.12.0-2.fc26.noarch conflicts with file from package python2-koji-1.13.0-2.fc25.noarch


It looks like the two 25 packages, koji and python2-koji, were merge into the koji in 26 but this package doesn't correctly obsoletes the old python package.
Comment 1 Mark Johnson 2017-07-16 18:27:35 EDT
Same issue. Dead in the water.
Comment 2 Dennis Gilmore 2017-07-31 18:14:45 EDT
you need to use distro-sync, the koji in f25 is newer than the one in f26, adding --allowerasing may allow things to wortk okay
Comment 3 Fedora End Of Life 2018-05-03 04:40:31 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2018-05-29 08:56:24 EDT
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.